Get Single
Get Single Asset Price
Retrieve price data for a specific asset
GET
/
v1
/
assets
/
{idOrSlug}
/
price
Get Asset Price
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/price \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/price"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"usd": 4014.79,
"btc": 0.036245034667051854,
"eth": 1,
"updated_at": 1760623631,
"asset_code": "ETH",
"asset_slug": "ethereum"
}Overview
Get the current price information for a specific asset. This endpoint returns just the price data block withasset_code and asset_slug included.
Example Request
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.blockworks.com/v1/assets/ethereum/price"
const res = await fetch(
'https://api.blockworks.com/v1/assets/ethereum/price',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
)
const data = await res.json()
import requests
r = requests.get(
'https://api.blockworks.com/v1/assets/ethereum/price',
headers={'x-api-key': 'YOUR_API_KEY'}
)
data = r.json()
Example Response
{
"usd": 4014.79,
"btc": 0.036245034667051854,
"eth": 1,
"updated_at": 1760623631,
"asset_code": "ETH",
"asset_slug": "ethereum"
}
Response Fields
| Field | Type | Description |
|---|---|---|
usd | number | Current price in US dollars |
btc | number | Current price in Bitcoin |
eth | number | Current price in Ethereum |
updated_at | number | Unix timestamp when the price was last updated |
asset_code | string | Asset code (e.g., “ETH”) |
asset_slug | string | Asset slug (e.g., “ethereum”) |
Notes
- This endpoint is equivalent to using
?expand=priceon the/v1/assets/{idOrSlug}endpoint, but returns only the price data. - The response includes
asset_codeandasset_slugfor easy identification.